# -*- encoding: utf-8 -*-
# stub: sensu-plugins-elasticsearch-boutetnico 1.1.1 ruby lib

Gem::Specification.new do |s|
  s.name = "sensu-plugins-elasticsearch-boutetnico".freeze
  s.version = "1.1.1"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "development_status" => "active", "maintainer" => "sensu-plugin", "production_status" => "unstable - testing recommended", "release_draft" => "false", "release_prerelease" => "false" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["Sensu Plugins and contributors".freeze]
  s.date = "2020-12-10"
  s.description = "This plugin provides native ElasticSearch instrumentation\n                              for monitoring and metrics collection, including:\n                              service health and metrics for cluster, node, and more.".freeze
  s.email = "<sensu-users@googlegroups.com>".freeze
  s.executables = ["check-es-indices-field-count.rb".freeze, "check-es-circuit-breakers.rb".freeze, "check-es-node-status.rb".freeze, "check-es-heap.rb".freeze, "check-es-query-ratio.rb".freeze, "metrics-es-cluster.rb".freeze, "check-es-query-average.rb".freeze, "check-es-cluster-health.rb".freeze, "check-es-shard-allocation-status.rb".freeze, "check-es-query-count.rb".freeze, "metrics-es-node-graphite.rb".freeze, "check-es-indices-sizes.rb".freeze, "check-es-file-descriptors.rb".freeze, "check-es-indexes.rb".freeze, "check-es-cluster-status.rb".freeze, "check-es-query-exists.rb".freeze, "metrics-es-node.rb".freeze, "handler-es-delete-indices.rb".freeze]
  s.files = ["bin/check-es-circuit-breakers.rb".freeze, "bin/check-es-cluster-health.rb".freeze, "bin/check-es-cluster-status.rb".freeze, "bin/check-es-file-descriptors.rb".freeze, "bin/check-es-heap.rb".freeze, "bin/check-es-indexes.rb".freeze, "bin/check-es-indices-field-count.rb".freeze, "bin/check-es-indices-sizes.rb".freeze, "bin/check-es-node-status.rb".freeze, "bin/check-es-query-average.rb".freeze, "bin/check-es-query-count.rb".freeze, "bin/check-es-query-exists.rb".freeze, "bin/check-es-query-ratio.rb".freeze, "bin/check-es-shard-allocation-status.rb".freeze, "bin/handler-es-delete-indices.rb".freeze, "bin/metrics-es-cluster.rb".freeze, "bin/metrics-es-node-graphite.rb".freeze, "bin/metrics-es-node.rb".freeze]
  s.homepage = "https://github.com/boutetnico/sensu-plugins-elasticsearch".freeze
  s.licenses = ["MIT".freeze]
  s.post_install_message = "You can use the embedded Ruby by setting EMBEDDED_RUBY=true in /etc/default/sensu".freeze
  s.required_ruby_version = Gem::Requirement.new(">= 2.3.0".freeze)
  s.rubygems_version = "3.2.22".freeze
  s.summary = "Sensu plugins for elasticsearch".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<aws-es-transport>.freeze, ["~> 0.1"])
    s.add_runtime_dependency(%q<aws-sdk>.freeze, [">= 2.1.14", "< 2.5", "~> 2.1"])
    s.add_runtime_dependency(%q<elasticsearch>.freeze, ["~> 1.0.14"])
    s.add_runtime_dependency(%q<rest-client>.freeze, ["= 2.1.0"])
    s.add_runtime_dependency(%q<sensu-plugin>.freeze, ["~> 4.0"])
    s.add_development_dependency(%q<bundler>.freeze, ["~> 2.1"])
    s.add_development_dependency(%q<codeclimate-test-reporter>.freeze, ["~> 0.4"])
    s.add_development_dependency(%q<github-markup>.freeze, ["~> 1.3"])
    s.add_development_dependency(%q<kitchen-docker>.freeze, ["~> 2.6"])
    s.add_development_dependency(%q<mixlib-shellout>.freeze, ["< 2.3.0", "~> 2.2"])
    s.add_development_dependency(%q<pry>.freeze, ["~> 0.10"])
    s.add_development_dependency(%q<rake>.freeze, ["~> 10.0"])
    s.add_development_dependency(%q<redcarpet>.freeze, ["~> 3.2"])
    s.add_development_dependency(%q<rspec>.freeze, ["~> 3.1"])
    s.add_development_dependency(%q<rubocop>.freeze, ["~> 0.51.0"])
    s.add_development_dependency(%q<test-kitchen>.freeze, ["~> 1.16.0"])
    s.add_development_dependency(%q<yard>.freeze, ["~> 0.9.11"])
  else
    s.add_dependency(%q<aws-es-transport>.freeze, ["~> 0.1"])
    s.add_dependency(%q<aws-sdk>.freeze, [">= 2.1.14", "< 2.5", "~> 2.1"])
    s.add_dependency(%q<elasticsearch>.freeze, ["~> 1.0.14"])
    s.add_dependency(%q<rest-client>.freeze, ["= 2.1.0"])
    s.add_dependency(%q<sensu-plugin>.freeze, ["~> 4.0"])
    s.add_dependency(%q<bundler>.freeze, ["~> 2.1"])
    s.add_dependency(%q<codeclimate-test-reporter>.freeze, ["~> 0.4"])
    s.add_dependency(%q<github-markup>.freeze, ["~> 1.3"])
    s.add_dependency(%q<kitchen-docker>.freeze, ["~> 2.6"])
    s.add_dependency(%q<mixlib-shellout>.freeze, ["< 2.3.0", "~> 2.2"])
    s.add_dependency(%q<pry>.freeze, ["~> 0.10"])
    s.add_dependency(%q<rake>.freeze, ["~> 10.0"])
    s.add_dependency(%q<redcarpet>.freeze, ["~> 3.2"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3.1"])
    s.add_dependency(%q<rubocop>.freeze, ["~> 0.51.0"])
    s.add_dependency(%q<test-kitchen>.freeze, ["~> 1.16.0"])
    s.add_dependency(%q<yard>.freeze, ["~> 0.9.11"])
  end
end
